## play.it-vv221 2023-11-28

=== debian/changelog ===
play.it-vv221 (2023-11-28-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Tue, 28 Nov 2023 16:08:29 +0100

play.it-vv221 (2023-10-23-1) unstable; urgency=medium

  * Initial release

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Thu, 31 Aug 2023 17:14:22 +0200

## play.it-vv221 2024-01

=== Makefile ===
collection_name = 40_vv221-games

UID := $(shell id --user)

ifeq ($(UID),0)
    prefix = /usr/local
    datadir = $(prefix)/share/games
else
    ifeq ($(XDG_DATA_HOME),)
        XDG_DATA_HOME := $(HOME)/.local/share
    endif
    prefix = $(XDG_DATA_HOME)
    datadir = $(prefix)
endif
gamesdir = $(DESTDIR)$(datadir)/play.it/games

# Install the game scripts

.PHONY: install uninstall

install:
	install -D --mode=755 --target-directory=$(gamesdir)/$(collection_name) games/*

uninstall:
	rm $(gamesdir)/$(collection_name)/play-*.sh
	rmdir -p --ignore-fail-on-non-empty $(gamesdir)/$(collection_name)

# Generate tarballs, for easier packaging

.PHONY: dist

## The generated tarball is signed with gpg by default,
## NO_SIGN should be set to a non-0 value to skip the signature.
NO_SIGN := 0

dist: DATE := $(shell date +%F)
dist: TARBALL := $(collection_name)_$(DATE).tar.gz
dist: TAR_OPTIONS := --sort=name --mtime=2023-08-25 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
dist: games/*.sh LICENSE Makefile notes/* README.md
	mkdir --parents dist
	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) games/*.sh LICENSE Makefile notes/* README.md
ifeq ($(NO_SIGN),0)
	rm --force dist/$(TARBALL).asc
	gpg --armor --detach-sign dist/$(TARBALL)
endif

## play.it-vv221 2024-01-27

=== debian/changelog ===
play.it-vv221 (2024-01-27-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sun, 28 Jan 2024 18:17:39 +0100

=== debian/control ===
Source: play.it-vv221
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Antoine Le Gonidec <debian@dotslashplay.it>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://forge.dotslashplay.it/vv221/games
Vcs-Git: https://salsa.debian.org/games-team/play.it-vv221.git
Vcs-Browser: https://salsa.debian.org/games-team/play.it-vv221
Rules-Requires-Root: no

Package: play.it-vv221
Architecture: all
Depends:
 play.it (>= 2.25.4-1),
 ${misc:Depends},
Description: Collection of game scripts used by ./play.it
 play.it is a free software building native packages from installers for
 Windows or Linux, mainly those sold by stores focusing on DRM-free games
 distribution. The goal is that a game installed via ./play.it is
 indistinguishable from a game installed via the official repositories of your
 favourite distribution.
 .
 This package provides game scripts that can be used with ./play.it
 to install a collection of DRM-free games. It is maintained by the original
 author of ./play.it.

## play.it-vv221 2024-06-02

=== debian/changelog ===
play.it-vv221 (2024-06-02-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sun, 02 Jun 2024 19:24:33 +0200

play.it-vv221 (2024-05-25-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sat, 25 May 2024 21:45:47 +0200

play.it-vv221 (2024-04-26-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Fri, 26 Apr 2024 14:11:36 +0200

play.it-vv221 (2024-04-06-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sat, 06 Apr 2024 01:37:12 +0200

play.it-vv221 (2024-03-19-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Tue, 19 Mar 2024 19:53:13 +0100

## play.it-vv221 2024-06-29

=== debian/changelog ===
play.it-vv221 (2024-06-29-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sat, 29 Jun 2024 19:56:04 +0200

## play.it-vv221 2024-07-26

=== debian/changelog ===
play.it-vv221 (2024-07-26-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Fri, 26 Jul 2024 14:33:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Antoine Le Gonidec <debian@dotslashplay.it>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
-Homepage: https://forge.dotslashplay.it/vv221/games
+Standards-Version: 4.7.0
+Homepage: https://git.vv221.fr/play.it-vv221/about/
 Vcs-Git: https://salsa.debian.org/games-team/play.it-vv221.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it-vv221
 Rules-Requires-Root: no

## play.it-vv221 2025-03

=== Makefile ===
--- 
+++ 
@@ -12,18 +12,18 @@
     prefix = $(XDG_DATA_HOME)
     datadir = $(prefix)
 endif
-gamesdir = $(DESTDIR)$(datadir)/play.it/games
+collections_path = $(DESTDIR)$(datadir)/play.it/collections
 
 # Install the game scripts
 
 .PHONY: install uninstall
 
 install:
-	install -D --mode=755 --target-directory=$(gamesdir)/$(collection_name) games/*
+	install -D --mode=755 --target-directory=$(collections_path)/$(collection_name) games/*
 
 uninstall:
-	rm $(gamesdir)/$(collection_name)/play-*.sh
-	rmdir -p --ignore-fail-on-non-empty $(gamesdir)/$(collection_name)
+	rm $(collections_path)/$(collection_name)/play-*.sh
+	rmdir -p --ignore-fail-on-non-empty $(collections_path)/$(collection_name)
 
 # Generate tarballs, for easier packaging
 
@@ -43,3 +43,24 @@
 	rm --force dist/$(TARBALL).asc
 	gpg --armor --detach-sign dist/$(TARBALL)
 endif
+
+# Run syntax checks, relying on ShellCheck
+
+GAME_SCRIPTS := $(wildcard games/play-*.sh)
+GAME_SCRIPTS_TESTS := $(addprefix shellcheck_, $(GAME_SCRIPTS))
+.PHONY: check $(GAME_SCRIPTS_TESTS)
+check: $(GAME_SCRIPTS_TESTS)
+
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_SOURCES := /usr/share/games/play.it:/usr/share/play.it
+## This is a unicode quote. Delete and retype it (or ignore/doublequote for literal).
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC1112
+## Expressions don't expand in single quotes, use double quotes for that.
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2016
+## foo appears unused. Verify it or export it.
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2034
+## Don't use variables in the printf format string. Use printf '..%s..' "$foo".
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2059
+## In POSIX sh, 'local' is undefined.
+$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC3043
+$(GAME_SCRIPTS_TESTS): shellcheck_%: %
+	shellcheck --extended-analysis=false --external-sources --source-path=$(SHELLCHECK_SOURCES) $(SHELLCHECK_EXCLUDE) $<

## play.it-vv221 2025-03-03

=== debian/changelog ===
play.it-vv221 (2025-03-03-2) unstable; urgency=medium

  * Drop the autopkgtest tests suite.
  * Update Uploader email.

 -- Antoine Le Gonidec <debian@vv221.fr>  Sun, 30 Mar 2025 17:54:34 +0200

play.it-vv221 (2025-03-03-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.7.2.
  * Include an autopkgtest tests suite.
  * Update the package description.
  * Include a real copy of debian/copyright.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Mon, 03 Mar 2025 18:08:35 +0100

=== debian/control ===
Source: play.it-vv221
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Antoine Le Gonidec <debian@vv221.fr>,
Build-Depends:
 debhelper-compat (= 13),
 play.it <!nocheck>,
 shellcheck <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://git.vv221.fr/play.it-vv221/about/
Vcs-Git: https://salsa.debian.org/games-team/play.it-vv221.git
Vcs-Browser: https://salsa.debian.org/games-team/play.it-vv221
Rules-Requires-Root: no

Package: play.it-vv221
Architecture: all
Depends:
 play.it (>= 2.25.4-1),
 ${misc:Depends},
Description: ./play.it game scripts collection - vv221ʼs games collection
 play.it is a free software building native packages from installers for
 Windows or Linux, mainly those sold by stores focusing on DRM-free games
 distribution. The goal is that a game installed via ./play.it is
 indistinguishable from a game installed via the official repositories of your
 favourite distribution.
 .
 This collection adds support for a collection of games curated by vv221,
 play.it original author. It can be seen as a very subjective "best of".

=== debian/watch ===
version=4

opts="pgpmode=next" \
  https://downloads.dotslashplay.it/games-collections/vv221/ \
  (?:.*/)40_vv221-games_@ANY_VERSION@@ARCHIVE_EXT@

opts="pgpmode=previous" \
  https://downloads.dotslashplay.it/games-collections/vv221/ \
  (?:.*/)40_vv221-games_@ANY_VERSION@@SIGNATURE_EXT@ \
  previous

## play.it-vv221 2025-08-10

=== debian/changelog ===
play.it-vv221 (2025-08-10-1) unstable; urgency=medium

  * New upstream release.
  * Update uploader e-mail.
  * Update URL to upstream homepage.
  * Update package short description.
  * Update upstream contact e-mail.
  * Drop git-buildpackage configuration.
  * Update lintian overrides.
  * Add upstream metadata.

 -- Antoine Le Gonidec <vv221@debian.org>  Mon, 11 Aug 2025 14:50:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Antoine Le Gonidec <debian@vv221.fr>,
+ Antoine Le Gonidec <vv221@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  play.it <!nocheck>,
  shellcheck <!nocheck>,
 Standards-Version: 4.7.2
-Homepage: https://git.vv221.fr/play.it-vv221/about/
+Homepage: https://git.vv221.fr/play.it/games-vv221/about/
 Vcs-Git: https://salsa.debian.org/games-team/play.it-vv221.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it-vv221
 Rules-Requires-Root: no
@@ -19,7 +19,7 @@
 Depends:
  play.it (>= 2.25.4-1),
  ${misc:Depends},
-Description: ./play.it game scripts collection - vv221ʼs games collection
+Description: ./play.it collection - vv221ʼs games collection
  play.it is a free software building native packages from installers for
  Windows or Linux, mainly those sold by stores focusing on DRM-free games
  distribution. The goal is that a game installed via ./play.it is

## play.it-vv221 2025-09-19

=== debian/changelog ===
play.it-vv221 (2025-09-19-1) unstable; urgency=medium

  * New upstream release.
  * Sync debian/copyright with upstream.
  * Install upstream documentation.
  * Update debian/watch to version 5.
  * Drop obsolete field Rules-Requires-Root.

 -- Antoine Le Gonidec <vv221@debian.org>  Sat, 20 Sep 2025 00:02:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Homepage: https://git.vv221.fr/play.it/games-vv221/about/
 Vcs-Git: https://salsa.debian.org/games-team/play.it-vv221.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it-vv221
-Rules-Requires-Root: no
 
 Package: play.it-vv221
 Architecture: all

## play.it-vv221 2025-10

=== Makefile ===
--- 
+++ 
@@ -36,19 +36,26 @@
 dist: DATE := $(shell date +%F)
 dist: TARBALL := $(collection_name)_$(DATE).tar.gz
 dist: TAR_OPTIONS := --sort=name --mtime=2023-08-25 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
-dist: games/*.sh LICENSE Makefile notes/* README.md
+dist: games/*.sh tests/check-license.sh LICENSE Makefile README.md
 	mkdir --parents dist
-	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) games/*.sh LICENSE Makefile notes/* README.md
+	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) games/*.sh tests/check-license.sh LICENSE Makefile README.md
 ifeq ($(NO_SIGN),0)
 	rm --force dist/$(TARBALL).asc
 	gpg --armor --detach-sign dist/$(TARBALL)
 endif
 
+# Run license check, to ensure no contributor is missing
+
+.PHONY: check check-license
+check: check-license
+check-license:
+	./tests/check-license.sh
+
 # Run syntax checks, relying on ShellCheck
 
 GAME_SCRIPTS := $(wildcard games/play-*.sh)
 GAME_SCRIPTS_TESTS := $(addprefix shellcheck_, $(GAME_SCRIPTS))
-.PHONY: check $(GAME_SCRIPTS_TESTS)
+.PHONY: $(GAME_SCRIPTS_TESTS)
 check: $(GAME_SCRIPTS_TESTS)
 
 $(GAME_SCRIPTS_TESTS): SHELLCHECK_SOURCES := /usr/share/games/play.it:/usr/share/play.it

## play.it-vv221 2025-10-21

=== debian/changelog ===
play.it-vv221 (2025-10-21-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop obsolete field Priority.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 21 Oct 2025 15:53:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: play.it-vv221
 Section: contrib/games
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Antoine Le Gonidec <vv221@debian.org>,

=== debian/watch ===
Version: 5

Source: https://downloads.dotslashplay.it/games-collections/vv221/
Matching-Pattern: 40_vv221-games_@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s%$%.asc%

## play.it-vv221 2025-11-25

=== debian/changelog ===
play.it-vv221 (2025-11-25-2) unstable; urgency=medium

  * Orphan the package.
  * Add an explicit copyright notice for Debian packaging files.
  * Update URL to canonical packaging repository.

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 15 Feb 2026 14:51:15 +0100

play.it-vv221 (2025-11-25-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 25 Nov 2025 18:38:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: play.it-vv221
 Section: contrib/games
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders:
- Antoine Le Gonidec <vv221@debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  play.it <!nocheck>,
  shellcheck <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://git.vv221.fr/play.it/games-vv221/about/
+Vcs-Browser: https://salsa.debian.org/games-team/play.it-vv221/
 Vcs-Git: https://salsa.debian.org/games-team/play.it-vv221.git
-Vcs-Browser: https://salsa.debian.org/games-team/play.it-vv221
 
 Package: play.it-vv221
 Architecture: all
